---
title: '`glab stack sync`'
stage: Create
group: Code Review
info: To determine the technical writer assigned to the Stage/Group associated with this page, see <https://handbook.gitlab.com/handbook/product/ux/technical-writing/#assignments>
---

<!--
This documentation is auto generated by a script.
Please do not edit this file directly. Run `make gen-docs` instead.
-->

Sync and submit progress on a stacked diff. (EXPERIMENTAL)

## Synopsis

Sync and submit progress on a stacked diff. This command runs these steps:

1. Optional. If working in a fork, select whether to push to the fork,
   or the upstream repository.
1. Optional. If --update-base is set, rebases the entire stack onto the
   latest version of the base branch.
1. Pushes any amended changes to their merge requests.
1. Rebases any changes that happened previously in the stack.
1. Removes any branches that were already merged, or with a closed merge request.

This feature is an experiment and is not ready for production use.
It might be unstable or removed at any time.
For more information, see
<https://docs.gitlab.com/policy/development_stages_support/>.

```plaintext
glab stack sync [flags]
```

## Examples

```console
glab stack sync
glab stack sync --no-verify
glab stack sync --update-base
```

## Options

```plaintext
      --no-verify     Bypass the pre-push hook. (See githooks(5) for more information.)
      --update-base   Rebase the stack onto the latest version of the base branch.
```

## Options inherited from parent commands

```plaintext
  -h, --help              Show help for this command.
  -R, --repo OWNER/REPO   Select another repository. Can use either OWNER/REPO or `GROUP/NAMESPACE/REPO` format. Also accepts full URL or Git URL.
```
